#ifndef WXNC_APP_HPP
#define WXNC_APP_HPP 1

#define WXNC_IMPLEMENT_APP(class_name) \
	\
	wxncApp *the_app; \
	\
	int main(int argc, char **argv) \
	{ \
		the_app = new class_name(); \
		int ret = wxncEntry(argc, argv); \
		delete the_app; \
		return ret; \
	} \
	\
	wxncApp &wxncGetApp(void) \
	{ \
		return *the_app; \
	}

class wxncFrame;

class wxncApp {
    public:
	wxncApp(void);
	virtual ~wxncApp(void);
	virtual bool OnInit(void);
	virtual void replace_frame(wxncFrame *);
	void render(void);

    protected:
	/* only supports one frame */
	wxncFrame *app_frame;
};

extern "C" int wxncEntry(int, char **);
extern wxncApp &wxncGetApp(void);

#endif /* WXNC_APP_HPP */
