#ifndef WXNC_CHECKBOX_HPP
#define WXNC_CHECKBOX_HPP 1

#include <wxnc/window.hpp>
#include <wx/defs.h>
#include <wx/gdicmn.h>

class wxncStaticText;

class wxncCheckBox : public wxncWindow {
    public:
	wxncCheckBox(wxncWindow *, wxWindowID, const wxString &,
		const wxPoint & = wxDefaultPosition,
		const wxSize & = wxDefaultSize, long = 0);
	virtual ~wxncCheckBox(void);
	void SetValue(bool);
	void RecalcSizes(void);
	void Layout(void);
	void Update(void);

    protected:
	wxncStaticText *m_label;
	bool m_enabled;
};

#endif /* WXNC_CHECKBOX_HPP */
