#ifndef WXNC_STATICTEXT_HPP
#define WXNC_STATICTEXT_HPP 1

#include <wxnc/window.hpp>
#include <wx/defs.h>
#include <wx/gdicmn.h>
#include <wx/string.h>

class wxncStaticText : public wxncWindow {
    public:
	wxncStaticText(wxncWindow *, wxWindowID, const wxString &,
		const wxPoint & = wxDefaultPosition,
		const wxSize & = wxDefaultSize, long = 0,
		const wxString & = wxT("staticText"));
	wxString GetLabel(void) const;
	void SetLabel(const wxString &);
	void RecalcSizes(void);
	void Update(void);

    protected:
	wxString m_label;

    private:
	DECLARE_NO_COPY_CLASS(wxncStaticText);
};

#endif /* WXNC_STATICTEXT_HPP */
